namespace norke
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;
    //该源码首发自www.51aspx.com(５１ａsｐｘ．ｃｏｍ)

	/// <summary>
	///	pageHeader 的摘要说明。
	/// </summary>
	public partial class pageHeader : System.Web.UI.UserControl
	{
        protected System.Web.UI.WebControls.Label lblDataTime;

		protected void Page_Load(object sender, System.EventArgs e)
		{
            if( !IsPostBack )
            {
               getDataTime();//获取系统时间
            }
        }

        private void getDataTime()//获取系统时间
        {
            DateTime myDate = DateTime.Now;
            string strDate = myDate.ToLongDateString();
            string strW = "";
            switch( myDate.DayOfWeek.ToString() )
            {
                case "Sunday":strW="星期日";break;
                case "Monday":strW="星期一";break;
                case "Tuesday":strW="星期二";break;
                case "Wednesday":strW="星期三";break;
                case "Thursday":strW="星期四";break;
                case "Friday":strW="星期五";break;
                case "Saturday":strW="星期六";break;
            }

            lblDateTime.Text = strDate + "&nbsp;" + strW;

        }


       #region Web 窗体设计器生成的代码
        override protected void OnInit(EventArgs e)
        {
            //
            // CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
            //
            InitializeComponent();
            base.OnInit(e);
        }
		
        /// <summary>
        ///		设计器支持所需的方法 - 不要使用代码编辑器
        ///		修改此方法的内容。
        /// </summary>
        private void InitializeComponent()
        {

        }
		#endregion
	}
}
